ObjectARX, AutoCAD. Среда программирования библиотеки C++



         

Фильтр Точки ввода и Пример Монитора - часть 2


const AcGePoint3d& osnappedPoint,

AcDb::OsnapMask osnapMasks,

// const AcArray<AcDbCustomOsnapMode>& customOsnapModes

const AcArray<AcDbObjectId>& apertureEntities,

const AcArray< AcDbObjectIdArray,

AcArrayObjectCopyReallocator< AcDbObjectIdArray > >&

nestedPickedEntities,

int gsSelectionMark,

const AcArray<AcDbObjectId>& keyPointEntities,

const AcArray<AcGeCurve3d*>& alignmentPaths,

const AcGePoint3d& computedPoint,

const char* tooltipString)

{

acutPrintf("\nhistory: %d\n", history);

if (pointComputed)

{

acutPrintf(

"rawPoint: %.2f, %.2f, %.2f\n",

rawPoint[0],

rawPoint[1],

rawPoint[2]);

if (history & Acad::eGripped)

acutPrintf(

"grippedPoint: %.2f, %.2f, %.2f\n",

grippedPoint[0],

grippedPoint[1],

grippedPoint[2]);

if (history & Acad::eCartSnapped)

acutPrintf(

"cartesianSnappedPoint: %.2f, %.2f, %.2f\n",

cartesianSnappedPoint[0],

cartesianSnappedPoint[1],

cartesianSnappedPoint[2]);

if (history & Acad::eOsnapped)

{

acutPrintf(

"osnappedPoint: %.2f, %.2f, %.2f\n",

osnappedPoint[0],

osnappedPoint[1],

osnappedPoint[2]);

#define OSMASK_CHECK(x) if (osnapMasks & AcDb:: ## x)

acutPrintf("%s ", #x)

OSMASK_CHECK(kOsMaskEnd);

OSMASK_CHECK(kOsMaskMid);

OSMASK_CHECK(kOsMaskCen);

OSMASK_CHECK(kOsMaskNode);

OSMASK_CHECK(kOsMaskQuad);

OSMASK_CHECK(kOsMaskInt);

OSMASK_CHECK(kOsMaskIns);

OSMASK_CHECK(kOsMaskPerp);

OSMASK_CHECK(kOsMaskTan);

OSMASK_CHECK(kOsMaskNear);

OSMASK_CHECK(kOsMaskQuick);

OSMASK_CHECK(kOsMaskApint);

OSMASK_CHECK(kOsMaskImmediate);

OSMASK_CHECK(kOsMaskAllowTan);

OSMASK_CHECK(kOsMaskDisablePerp);

OSMASK_CHECK(kOsMaskRelCartesian);

OSMASK_CHECK(kOsMaskRelPolar);

#undef OSMASK_CHECK

acutPrintf("\n");

}

acutPrintf("%d apertureEntities: ",  apertureEntities.length());

for (int i = 0; i < apertureEntities.length(); i++)

acutPrintf("<%x> ", apertureEntities[i].asOldId());




Содержание  Назад  Вперед